ข้ามไปยังเนื้อหา

Nano Banana · Edit

ผสานการทำงาน

ID โมเดล nano-banana/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.04 40 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Google แก้ไขภาพ #image-editing

แก้ไขหรือรวมภาพอินพุตตามคำสั่งข้อความ พร้อมตัวเลือกอัตราส่วนภาพอัตโนมัติ

Google · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 50000

คำสั่งข้อความสำหรับแก้ไขรูปภาพ

•จำเป็น image_urls
วางไฟล์ หรือ

URL ที่ระบุรูปภาพต้นทางสำหรับการแก้ไขหรือการสร้างรูปภาพจากรูปภาพ

aspect_ratio ค่าเริ่มต้น auto

อัตราส่วนภาพของรูปภาพผลลัพธ์

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่ขอให้สร้าง

ขั้นสูง output_format · safety_tolerance · seed · limit_generations
output_format ค่าเริ่มต้น png

รูปแบบไฟล์ของรูปภาพผลลัพธ์

safety_tolerance ค่าเริ่มต้น 4

กำหนดความคลาดเคลื่อนของการกลั่นกรองเนื้อหาระหว่างระดับที่จำกัดน้อยที่สุด 6 และระดับที่เข้มงวดที่สุด 1 ซึ่งบล็อกเนื้อหาส่วนใหญ่

ค่า Seed ที่เริ่มต้นการสร้างตัวเลขสุ่ม

POST /run/nano-banana/edit?wait=20 ใบเสนอราคา → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Nano Banana · Edit

รับ `prompt` และรายการภาพต้นฉบับใน `image_urls` แล้วส่งคืนภาพที่แก้ไข `aspect_ratio` มีค่าเริ่มต้นเป็น auto และยังรองรับอัตราส่วนคงที่ 10 แบบ `num_images` รองรับ 1 ถึง 4 ภาพ และ `output_format` คือ jpeg, png หรือ webp

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 50,000 อักขระ≥ 3 อักขระ
คำสั่งข้อความสำหรับแก้ไขรูปภาพ
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 4
จำนวนรูปภาพที่ขอให้สร้าง
seedไม่บังคับ
ประเภทinteger | null
ค่า Seed ที่เริ่มต้นการสร้างตัวเลขสุ่ม
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
auto21:916:93:24:35:41:14:53:42:39:16
อัตราส่วนภาพของรูปภาพผลลัพธ์
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นpng
jpegpngwebp
รูปแบบไฟล์ของรูปภาพผลลัพธ์
safety_toleranceไม่บังคับ
ประเภทenum
ค่าเริ่มต้น4
123456
กำหนดความคลาดเคลื่อนของการกลั่นกรองเนื้อหาระหว่างระดับที่จำกัดน้อยที่สุด 6 และระดับที่เข้มงวดที่สุด 1 ซึ่งบล็อกเนื้อหาส่วนใหญ่
image_urlsจำเป็น images
ประเภทurl[] · image
URL ที่ระบุรูปภาพต้นทางสำหรับการแก้ไขหรือการสร้างรูปภาพจากรูปภาพ
limit_generationsไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ขีดจำกัดการสร้างแบบทดลอง: การเปิดใช้ `True` จะแทนที่คำสั่งจำนวนรูปภาพในพรอมต์ และจำกัดแต่ละรอบของการป้อนพรอมต์ให้สร้างได้ 1 ครั้ง
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nano-banana/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่ได้จากการแก้ไข
description
stringคำอธิบายที่มาพร้อมกับรูปภาพที่สร้าง

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/nano-banana/edit.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt